twilight.permute.unpair {twilight} | R Documentation

## Permutation matrix of unpaired class labels

### Description

The function returns a matrix where each row is a (un)balanced permutation of the input twosample class labels.

### Usage

    twilight.permute.unpair(v, m, bal = TRUE)

### Arguments

`v` | A binary vector representing class labels in original order.
`m` | A numerical value giving the number of permutations.
`bal` | Logical value. Results in balanced or unbalanced permutations.

### Value

Returns a matrix where each row contains one permuted vector of class labels. Note that even for balanced permutations, the first row always contains the original vector.

### Author(s)

Stefanie Scheid http://www.molgen.mpg.de/~scheid

### References

Scheid S and Spang R (2004): A stochastic downhill search algorithm for estimating the local false discovery rate, IEEE TCBB 1(3), 98–108.

Scheid S and Spang R (2005): twilight; a Bioconductor package for estimating the local false discovery rate, Bioinformatics 21(12), 2921–2922.

Scheid S and Spang R (2006): Permutation filtering: A novel concept for significance analysis of large-scale genomic data, in: Apostolico A, Guerra C, Istrail S, Pevzner P, and Waterman M (Eds.): Research in Computational Molecular Biology: 10th Annual International Conference, Proceedings of RECOMB 2006, Venice, Italy, April 2-5, 2006. Lecture Notes in Computer Science vol. 3909, Springer, Heidelberg, pp. 338-347.

### See Also

`twilight.permute.pair`, `twilight.combi`

[Package twilight version 1.14.1 Index]